V1 3 endpoints

POST /v1/domains/{domain}/renew
operationId: V1_renewDomain

Parameters

Name In Required Type Description
X-Shopper-Id header optional string

Shopper for whom Domain is to be renewed. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you’re a Reseller, but purchased a Domain via http://www.godaddy.com

domain path required string

Domain to renew

Request Body

Options for renewing existing Domain

text/xml
schema DomainRenew
application/xml
schema DomainRenew
application/json
schema DomainRenew

Responses

200

Request was successful

400

Request was malformed

401

Authentication info not sent or invalid

403

Authenticated user is not allowed access

404

Resource not found

409

The domain status does not allow performing the operation

422

End-user must read and consent to all of the following legal agreements
domain must match sld.tld

429

Too many requests received within interval

500

Internal server error

POST /v1/domains/{domain}/renew
POST /v1/domains/{domain}/transfer
operationId: V1_purchaseTransferProcess

Parameters

Name In Required Type Description
X-Shopper-Id header optional string

The Shopper to whom the domain should be transfered

domain path required string

Domain to transfer in

Request Body

required

Details for domain transfer purchase

text/xml
schema DomainTransferIn
application/xml
schema DomainTransferIn
application/json
schema DomainTransferIn

Responses

200

Request was successful

400

Request was malformed

401

Authentication info not sent or invalid

403

Authenticated user is not allowed access

409

domain (domain) isn’t available for transfer

422

Based on restrictions declared in JSON schema returned by ./schema/{tld}
Cannot convert domain label error
Domain is missing IDN script
Domain segment ends with dash
Domain starts with dash
Domain uses unsupported IDN script
End-user must read and consent to all of the following legal agreements
FQDN fails generic validity regex
Invalid character(s) error
Invalid period range
Invalid tld error
Non-IDN domain name must not have dashes at the third and fourth position
Reserved name error
authCode cannot be empty
domain must match sld.tld
domain must be specified

429

Too many requests received within interval

500

Internal server error

POST /v1/domains/{domain}/transfer
POST /v1/domains/{domain}/verifyRegistrantEmail
operationId: V1_resendContactEmailVerification

Parameters

Name In Required Type Description
X-Shopper-Id header optional string

Shopper for whom domain contact e-mail should be verified. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you’re a Reseller, but purchased a Domain via http://www.godaddy.com

domain path required string

Domain whose Contact E-mail should be verified.

Responses

200

Request was successful

400

Request was malformed

401

Authentication info not sent or invalid

403

Authenticated user is not allowed access

404

Resource not found

422

domain is not a valid Domain name

429

Too many requests received within interval

500

Internal server error

504

Gateway timeout

POST /v1/domains/{domain}/verifyRegistrantEmail